#include "testlib.h"

using namespace std;

int main()
{
    registerValidation();

    const int infty = (int)1e+9;
    int N = inf.readInt(1, 100000);
    inf.readSpace();
    int A = inf.readInt(0, infty);
    inf.readEoln();
    for (int i = 0; i < N; ++i) {
        int x = inf.readInt(1, infty);
        inf.readSpace();
        int y = inf.readInt(1, infty);
        inf.readEoln();
    }
    inf.readEof();

    return 0;
}
